Reference
Shares
List Received Shares
Query Parameters
limit?integer
Default
200Range
1 <= value <= 200cursor?|
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/shares/received"{
"items": [
{
"agentSpec": {
"id": "string",
"isDeleted": true,
"name": "string"
},
"createdAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"shareId": "string",
"sharedBy": {
"email": "string",
"firstName": "string",
"id": "string",
"lastName": "string",
"profilePictureUrl": "string"
},
"threadId": "string",
"title": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"nextCursor": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Shared Thread
Path Parameters
share_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/shares/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"agentSpec": {
"id": "string",
"isDeleted": true,
"name": "string"
},
"createdAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"shareId": "string",
"sharedBy": {
"email": "string",
"firstName": "string",
"id": "string",
"lastName": "string",
"profilePictureUrl": "string"
},
"status": "active",
"threadId": "string",
"title": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Shared Messages
Path Parameters
share_id*string
Format
uuidQuery Parameters
limit?integer
Default
50Range
1 <= value <= 200cursor?|
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/shares/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages"{
"items": [
{
"cancelled": false,
"content": "string",
"createdAt": "2019-08-24T14:15:22Z",
"durationSeconds": 0,
"error": {
"code": "string",
"description": "string",
"referenceId": "string",
"retryable": true,
"title": "string"
},
"format": "pydantic_ai",
"id": "string",
"rawData": {},
"role": "user",
"threadId": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"nextCursor": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}